
.examples-section {
    padding: 0; }

.examples-section__inner {
    padding: 30px 0;
    max-width: 800px;
    margin: 0 auto; }

.how-to__header {
    display: flex;
    justify-content: space-between;
    margin-top: 12px; }

.how-to__head-title {
    color: #4B007C;
    font-family: ProximaNova-Regular, 'Roboto-Regular', Arial, Helvetica, sans-serif;
    font-size: 18px;
    letter-spacing: 0.3px;
    line-height: 38px; }

.how-to__types {
    display: flex;
    flex-wrap: nowrap; }

.how-to__type {
    padding: 8px 16px;
    font-family: ProximaNova-Regular, 'Roboto-Regular', Arial, Helvetica, sans-serif;
    font-size: 18px;
    font-weight: normal;
    line-height: normal;
    letter-spacing: 0.2px;
    cursor: pointer;
    border-top: solid 1px #cecccc;
    border-left: solid 1px #cecccc;
    border-bottom: none;
    box-sizing: border-box;
    color: #979797;
    text-decoration: none; }
.how-to__type:not(:last-child) {
    border-right: none; }
.how-to__type:last-child {
    border-right: solid 1px #cecccc; }
.how-to__type:hover {
    background-color: #4B007C;
    color: #fff;
    border-top: solid 1px #4B007C;
    border-left: solid 1px #4B007C; }
.how-to__type.active {
    font-family: ProximaNova-Semibold, 'Roboto-Regular', Arial, Helvetica, sans-serif; }

.how-to__type.active {
    background-color: #4B007C;
    color: #fff;
    border-top: solid 1px #4B007C;
    border-left: solid 1px #4B007C; }

.how-to__modes-wrapper {
    min-height: 423px;
    height: 423px; }

.how-to__modes {
    display: none; }

.how-to__modes.active {
    display: block; }

.how-to__mode {
    max-height: 50px;
    overflow: hidden;
    padding: 16px 24px 12px;
    box-sizing: border-box;
    background: #f3f3f3;
    position: relative;
    transition: all .3s ease-in-out;
    margin-bottom: 2px;
    padding-top: 0; }
.how-to__mode:last-child {
    margin-bottom: 0; }

.how-to__mode.active {
    max-height: 8000px;
    background-color: #dde2e7;
    padding-bottom: 25px; }
.how-to__mode.active::before {
    background-color: #fff;
    border-radius: 50%; }

.how-to__mode.active .how-to__title {
    font-family: ProximaNova-Medium, 'Roboto-Regular', Arial, Helvetica, sans-serif;
    color: #000; }
.how-to__mode.active .how-to__title::before {
    transform: rotate(90deg);
    background-color: #fff;
    border-radius: 50%; }

.how-to__title {
    color: #4a4a4a;
    font-family: ProximaNova-Regular, 'Roboto-Regular', Arial, Helvetica, sans-serif;
    font-size: 18px;
    letter-spacing: 0.4px;
    padding-left: 22px;
    height: 55px;
    line-height: 1;
    display: flex;
    align-items: center;
    cursor: pointer;
    position: relative;
    margin-bottom: -6px; }
.how-to__title::before {
    content: "";
    display: block;
    width: 24px;
    height: 24px;
    background: url("../img/Arrow_gray.svg") no-repeat 9px center transparent;
    background-size: 9px 16px;
    position: absolute;
    left: -8px;
    top: 14px; }

.how-to__text-row:not(:last-child) {
    margin-bottom: 15px; }

.how-to__code {
    color: #4c4e4c;
    line-height: 1.43;
    padding-left: 23px; }
.how-to__code--video {
    width: 410px;
    min-height: 450px; }
.how-to__code pre {
    font-family: 'PTMono', monospace; }

.how-to__video-container {
    position: absolute;
    top: 42px;
    right: 32px;
    z-index: 1;
    display: none;
    height: 279px;
    opacity: 0;
    transition: opacity 300ms ease-in; }
.how-to__video-container.active {
    opacity: 1; }

.how-to__mode.active .how-to__video-container {
    opacity: 1;
    display: block; }

@media screen and (max-width: 1439px){
    .how-to__type {
        font-size: 16px;
        padding: 8px 12px;
    }
}
@media screen and (max-width: 1279px){
    .examples-section__inner {
        max-width: 640px;
        width: 100%;
        margin: 0 auto;
        padding-left: 24px;
        padding-right: 24px;
    }
}
@media screen and (max-width: 767px){
    .how-to__header {
        flex-direction: column;
    }
    .how-to__head-title{
        line-height: 24px;
        margin-bottom: 14px;
    }
    .how-to__code pre{
        line-height: 18px;
    }
    .examples-section__inner {
        max-width: 100%;
        width: auto;
        margin: 0 auto;
        padding: 30px 24px;
    }
}
@media screen and (min-width: 1280px) {
    .examples-section__inner {
        width: auto;
        max-width: 961px;
        margin: 0 319px;
    }
}
@media screen and (min-width: 1610px) {
    .examples-section__inner {
        max-width: 961px;
        width: 100%;
        margin: 0 auto;
    }
}